<!--

this enum defined in HwaStatDefine.h
enum {
    EXPO_TYPE_YUVHDR = 0,
    EXPO_TYPE_AIRAW = 1,
    EXPO_TYPE_ELLIP = 2,
    EXPO_TYPE_NIGHT_RAWHDR = 3,
    EXPO_TYPE_MANUAL_YUVHDR = 4,
    EXPO_TYPE_RAWHDR = 5,
    EXPO_TYPE_ELAPSE = 8,
    EXPO_TYPE_AIRAWLITE = 11,
    EXPO_TYPE_HDSR = 12,
    EXPO_TYPE_SUPER_NIGHT = 13,
    EXPO_TYPE_DARK_VISION = 14,
};
-->

<!--

this enum defined in HwaDefine.h
enum SITSensorStageMode {
    // Need to be consistent with stageMapConfig.xml
    INVALID_STAGE_MODE = -1,
    BINNING = 0,
    INSENSORZOOM = 1,
    DAG_TIMING = 2,
    DXG_TIMING = 3,
    SHDR = 4,
    IDCG_VS = 5,
    SENSOR_RMSC_SHDR = 6,
    IDCG_HS = 7,
    SHDR_SHORTPD = 8,
    INSENSORZOOM_4X = 9,
    FULLSIZE_QUADRA = 10,
};
-->

<SmartAE>
    <Enable>1</Enable>
    <rule name = "SmartAE_AIRAW-QuadSR">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>teleQuadraAiraw</value_option>
            <value_option>foreteleQuadraAiraw</value_option>
            <value_option>teleQuadraAirawBokeh</value_option>
            <value_option>teleQuadraAirawBokehBeauty</value_option>
            <value_option>teleQuadraAirawBokehBM</value_option>
            <value_option>mainQuadraAiraw</value_option>
            <value_option>mainQuadraAirawFov</value_option>
            <value_option>normalmodeBokehQuadraAiraw</value_option>
            <value_option>foremainQuadraAiraw</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
       <outPQ name = "AIRAW-QuadSR" />
    </rule>
    <rule name = "SmartAE_AIRAW-QuadraLite">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainQuadraLiteAiraw</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-QuadraLite" />
    </rule>
    <rule name = "SmartAE_AIRAW-Moon">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>teleEllipAiRawMoon</value_option>
            <value_option>teleMefAiRawMoon</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-Moon" />
    </rule>
    <rule name = "SmartAE_Supernight">
        <condition name = "ExpoType" value ="EXPO_TYPE_SUPER_NIGHT"/>
        <condition name = "FeatureName">
            <value_option>mainTFSuperNight</value_option>
            <value_option>wideTFSuperNight</value_option>
            <value_option>teleTFSuperNight</value_option>
            <value_option>mainSuperNightBeautyNM</value_option>
            <value_option>wideSuperNightBeautyNM</value_option>
            <value_option>teleSuperNightBeautyNM</value_option>
            <value_option>mainSuperNightNM</value_option>
            <value_option>wideSuperNightNM</value_option>
            <value_option>teleSuperNightNM</value_option>
            <value_option>lowLightmodeBokeh</value_option>
            <value_option>lowLightmodeBokehFaceSRBeauty</value_option>
            <value_option>forewideTFSuperNight</value_option>
            <value_option>foremainTFSuperNight</value_option>
            <value_option>foreteleTFSuperNight</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
       <outPQ name = "Supernight" />
    </rule>

    <rule name = "SmartAE_AIRAW-Elliplite">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>mainAiRawHdrpElliplite</value_option>
            <value_option>wideAiRawHdrpElliplite</value_option>
            <value_option>teleAiRawHdrpElliplite</value_option>
            <value_option>mainAiRawHdrpellipliteNH</value_option>
            <value_option>AiRawHdrpEllipliteFront</value_option>
            <value_option>AiRawHdrpellipliteNHFront</value_option>
            <value_option>elliplitePortraitBokeh</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-Elliplite" />
    </rule>
    <rule name = "SmartAE_AIRAW-Elliplite-DAG">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>mainAiRawHdrpElliplite</value_option>
            <value_option>wideAiRawHdrpElliplite</value_option>
            <value_option>teleAiRawHdrpElliplite</value_option>
            <value_option>mainAiRawHdrpellipliteNH</value_option>
            <value_option>foremainAiRawHdrpElliplite</value_option>
            <value_option>foremainAiRawHdrpellipliteNH</value_option>
            <value_option>elliplitePortraitBokeh</value_option>
        </condition>
        <condition name = "SensorMode" value ="DAG_TIMING" />
        <outPQ name = "AIRAW-Elliplite-DAG" />
    </rule>
    <rule name = "SmartAE_AIRAW-Elliplite-DXG">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>mainAiRawHdrpElliplite</value_option>
            <value_option>wideAiRawHdrpElliplite</value_option>
            <value_option>teleAiRawHdrpElliplite</value_option>
            <value_option>mainAiRawHdrpellipliteNH</value_option>
            <value_option>foremainAiRawHdrpElliplite</value_option>
            <value_option>foremainAiRawHdrpellipliteNH</value_option>
            <value_option>elliplitePortraitBokeh</value_option>
        </condition>
        <condition name = "SensorMode" value ="DXG_TIMING" />
        <outPQ name = "AIRAW-Elliplite-DXG" />
    </rule>
    <rule name = "SmartAE_AIRAW-Mef">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMef</value_option>
            <value_option>foremainAiRawMef</value_option>
            <value_option>mainAiRawMefSmallFace</value_option>
            <value_option>mainAiRawMefBokehBeautySR</value_option>
            <value_option>mainAiRawMefBokehBMSR</value_option>
            <value_option>mainAiRawMefBokehSR</value_option>
            <value_option>wideAiRawMef</value_option>
            <value_option>forewideAiRawMef</value_option>
            <value_option>teleAiRawMefZSL</value_option>
            <value_option>foreteleAiRawMefZSL</value_option>
            <value_option>teleAiRawMefNonZSL</value_option>
            <value_option>foreteleAiRawMefNonZSL</value_option>
            <value_option>teleMefAirawBokeh</value_option>
            <value_option>teleMefAirawBokehBeauty</value_option>
            <value_option>teleMefAirawBokehBM</value_option>
            <value_option>teleMefAirawMonoBokeh</value_option>
            <value_option>teleMefAirawMonoBokehBeauty</value_option>
            <value_option>teleMefAirawMonoBokehBM</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-Mef" />
    </rule>

    <rule name = "SmartAE_AIRAW-HDRP">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName">
            <value_option>mainAiRawHdrp</value_option>
            <value_option>wideAiRawHdrp</value_option>
            <value_option>teleAiRawHdrp</value_option>
            <value_option>mainAiRawHdrplite</value_option>
            <value_option>wideAiRawHdrplite</value_option>
            <value_option>mainAiRawHdrpFov</value_option>
            <value_option>wideAiRawHdrpFov</value_option>
            <value_option>mainAiRawHdrpliteFov</value_option>
            <value_option>wideAiRawHdrpliteFov</value_option>
            <value_option>wideAiRawHdrpLiteHighRes</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
       <outPQ name = "AIRAW-HDRP" />
    </rule>
    <rule name = "SmartAE_AIRAW-MotionCaptureHDR">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMotionAICaptureHDR</value_option>
            <value_option>mainAiRawMotionCaptureHDRStereoBokeh</value_option>
            <value_option>mainAiRawMotionAICaptureHDRStereoBokehBeautySR</value_option>
            <value_option>mainAiRawMotionCaptureHDRMonoBokeh</value_option>
            <value_option>mainAiRawMotionAICaptureHDRMonoBokehBeautySR</value_option>
        </condition>
	<condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-MotionCaptureHDR" />
    </rule>
    <rule name = "SmartAE_AIRAW-MotionCaptureHDR-DXG">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMotionAICaptureHDR</value_option>
            <value_option>mainAiRawMotionCaptureHDRStereoBokeh</value_option>
            <value_option>mainAiRawMotionAICaptureHDRStereoBokehBeautySR</value_option>
            <value_option>mainAiRawMotionCaptureHDRMonoBokeh</value_option>
            <value_option>mainAiRawMotionAICaptureHDRMonoBokehBeautySR</value_option>
        </condition>
	<condition name = "SensorMode" value ="DXG_TIMING" />
        <outPQ name = "AIRAW-MotionCaptureHDR-DXG" />
    </rule>
    <rule name = "SmartAE_AIRAW-MotionCaptureHDR-DAG">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMotionAICaptureHDR</value_option>
            <value_option>mainAiRawMotionCaptureHDRStereoBokeh</value_option>
            <value_option>mainAiRawMotionAICaptureHDRStereoBokehBeautySR</value_option>
            <value_option>mainAiRawMotionCaptureHDRMonoBokeh</value_option>
            <value_option>mainAiRawMotionAICaptureHDRMonoBokehBeautySR</value_option>
        </condition>
	<condition name = "SensorMode" value ="DAG_TIMING" />
        <outPQ name = "AIRAW-MotionCaptureHDR-DAG" />
    </rule>
    <rule name = "SmartAE_AIRAW-MotionCaptureHDR-SHDR">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMotionAICaptureHDR</value_option>
            <value_option>mainAiRawMotionCaptureHDRStereoBokeh</value_option>
            <value_option>mainAiRawMotionAICaptureHDRStereoBokehBeautySR</value_option>
            <value_option>mainAiRawMotionCaptureHDRMonoBokeh</value_option>
            <value_option>mainAiRawMotionAICaptureHDRMonoBokehBeautySR</value_option>
        </condition>
	<condition name = "SensorMode" value ="SHDR" />
        <outPQ name = "AIRAW-MotionCaptureHDR-SHDR" />
    </rule>
    <rule name = "SmartAE_HDRP-Front">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainHdrp</value_option>
            <value_option>mainHdrpBeauty</value_option>
            <value_option>mainHdrpBokeh</value_option>
            <value_option>mainHdrpBokehBeauty</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "HDRP-Front" />
    </rule>
    <rule name = "SmartAE_AIRAW-Quad-Ellip">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELLIP"/>
        <condition name = "FeatureName" >
            <value_option>teleQuadraAirawEllip</value_option>
            <value_option>foreteleQuadraAirawEllip</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-Quad-Ellip" />
    </rule>
    <rule name = "SmartAE_AIRAW-Ellip">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELLIP"/>
        <condition name = "FeatureName" >
            <value_option>wideAiRawHdrpEllip</value_option>
            <value_option>wideAiRawHdrpEllipNM</value_option>
            <value_option>mainAiRawHdrpEllip</value_option>
            <value_option>foremainAiRawHdrpEllip</value_option>
            <value_option>mainAiRawEllipBeauty</value_option>
            <value_option>mainAiRawEllipBM</value_option>
            <value_option>teleAiRawHdrpEllip</value_option>
            <value_option>foreteleAiRawHdrpEllip</value_option>
            <value_option>forewideAiRawHdrpEllip</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-Ellip" />
    </rule>
    <rule name = "SmartAE_AIRAW-Ellip-DAG">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELLIP"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawHdrpEllip</value_option>
            <value_option>foremainAiRawHdrpEllip</value_option>
            <value_option>mainAiRawEllipBeauty</value_option>
            <value_option>mainAiRawEllipBM</value_option>
        </condition>
        <condition name = "SensorMode" value ="DAG_TIMING" />
        <outPQ name = "AIRAW-Ellip-DAG" />
    </rule>
    <rule name = "SmartAE_AIRAW-EllipNH">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELLIP"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawEllipNH</value_option>
            <value_option>wideAiRawEllipNH</value_option>
            <value_option>teleAiRawEllipNH</value_option>
            <value_option>foreteleAiRawEllipNH</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-EllipNH" />
    </rule>
    <rule name = "SmartAE_AIRAW-Quad-EllipNH">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELLIP"/>
        <condition name = "FeatureName" >
            <value_option>teleQuadraAirawEllipNH</value_option>
            <value_option>foreteleQuadraAirawEllipNH</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-QuadEllipNH" />
    </rule>
    <rule name = "SmartAE_AIRAW-Mef-Front">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMefFront</value_option>
            <value_option>mainAiRawMefFrontP</value_option>
            <value_option>mainAiRawMefBeautyFront</value_option>
            <value_option>mainAiRawMefBMFront</value_option>
            <value_option>mainAiRawMefBokehFront</value_option>
            <value_option>mainAiRawMefBokehBeautyFront</value_option>
            <value_option>mainAiRawMefBokehBMFront</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-Mef-Front" />
    </rule>
    <rule name = "SmartAE_AIRAW_DXG">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMef</value_option>
            <value_option>foremainAiRawMef</value_option>
            <value_option>mainAiRawMefSmallFace</value_option>
        </condition>
        <condition name = "SensorMode" value ="DXG_TIMING" />
        <outPQ name = "AIRAW-Mef-DXG" />
    </rule>
    <rule name = "SmartAE_AIRAW_DAG">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMef</value_option>
            <value_option>foremainAiRawMef</value_option>
            <value_option>mainAiRawMefSmallFace</value_option>
        </condition>
        <condition name = "SensorMode" value ="DAG_TIMING" />
        <outPQ name = "AIRAW-Mef-DAG" />
    </rule>
    <rule name = "SmartAE_AIRAW_SHDR">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>mainAiRawMef</value_option>
            <value_option>foremainAiRawMef</value_option>
            <value_option>mainAiRawMefSmallFace</value_option>
        </condition>
        <condition name = "SensorMode" value ="SHDR" />
        <outPQ name = "AIRAW-Mef-SHDR" />
    </rule>
    <rule name = "SmartAE_BShutter">
        <condition name = "ExpoType" value ="EXPO_TYPE_ELAPSE"/>
        <condition name = "FeatureName" >
            <value_option>BShutterYuv</value_option>
            <value_option>RawBShutter</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "BShutter" />
    </rule>
    <rule name = "SmartAE_AIRAW_HEX">
        <condition name = "ExpoType" value ="EXPO_TYPE_AIRAW"/>
        <condition name = "FeatureName" >
            <value_option>teleHexAiraw</value_option>
        </condition>
        <condition name = "SensorMode" value ="BINNING" />
        <outPQ name = "AIRAW-HEX" />
    </rule>
<!--
    <rule name = "SmartAE_default">
       <outPQ name = "default" />
    </rule>
-->
</SmartAE>
